BP_MAKE_MRNA_PROTEIN(1p)

NAME
bp_make_mrna_protein - Convert an input mRNA/cDNA sequence into protein

DESCRIPTION
Convert an input mRNA/cDNA sequence into protein using translate()

  -f/--frame           Specifies frame [0,1,2]

One can also specify:

  -t/--terminator      Stop Codon character (defaults to '*')
  -u/--unknown         Unknown Protein character (defaults to 'X')
  -cds/--fullcds       Expected Full CDS (with start and Stop codon)
  -throwOnError        Throw error if no Full CDS (defaults to 0)
  -if/--format         Input format (defaults to FASTA/Pearson)
  -of/--format         Output format (defaults to FASTA/Pearson)
  -o/--output          Output Filename (defaults to STDOUT)
  -i/--input           Input Filename (defaults to STDIN)
  -ct/--codontable     Codon table to use (defaults to '1')

See Bio::PrimarySeq for more information on codon tables and the translate() method

AUTHOR - Jason Stajich
  Email jason-at-bioperl-dot-org